Subject: Re: [PATCH v2] async_die_is_recursing: work around GCC v11.x issue on Fedora

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Nov 2021 10:46:24 -0700

Derrick Stolee <[email-masked]> writes:

> Having our CI go red because the 'latest' feed changed something is
> probably the best "feed" to subscribe to, since we only get notified
> if it matters.
>
> Better to have automation go red than for us to not realize our code
> doesn't work on newer platforms because our CI hasn't been updated.

I consider this a better implementation of what Æver suggested ;-)

And an incident like this is one of the reasons why I like the "CI
does not stop after seeing the first problem" behaviour.  In a short
term, people can ignore a particular known failure and ensure they
do not introduce any new ones.

Thanks.